"use strict";
const common_vendor = require("../../common/vendor.js");
const gen_Enums = require("../../gen/Enums.js");
const INDEX_release_items_method = require("./method.js");
const INDEX_release_items_model = require("./model.js");
require("../../gen/Apis.js");
require("../../common/libraries/request.js");
require("../../common/store/useWeAppAuthStore.js");
require("../../common/libraries/apiLoading.js");
require("../../common/store/useWatermarkStore.js");
require("../../common/store/useWorkStore.js");
require("../../common/libraries/naviHelper.js");
require("../../common/libraries/day.js");
if (!Array) {
  const _easycom_hs_footer2 = common_vendor.resolveComponent("hs-footer");
  _easycom_hs_footer2();
}
const _easycom_hs_footer = () => "../../components/hs-footer/hs-footer.js";
if (!Math) {
  _easycom_hs_footer();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    common_vendor.onLoad((e) => {
      var _a;
      (_a = INDEX_release_items_method.method) == null ? void 0 : _a.getShow(e);
      console.log(e);
    });
    return (_ctx, _cache) => {
      var _a, _b, _c, _d, _e, _f, _g, _h, _i, _j, _k, _l, _m, _n, _o, _p, _q, _r, _s, _t, _u, _v, _w, _x, _y, _z, _A, _B, _C, _D, _E, _F, _G, _H, _I, _J, _K, _L, _M, _N, _O, _P, _Q, _R, _S, _T, _U, _V;
      return common_vendor.e({
        a: common_vendor.t(((_d = (_c = (_b = (_a = common_vendor.unref(INDEX_release_items_model.useModel)) == null ? void 0 : _a.showData) == null ? void 0 : _b.value) == null ? void 0 : _c.asset_house) == null ? void 0 : _d.full_name) || "-"),
        b: common_vendor.t((_h = common_vendor.unref(gen_Enums.GoodsReleasesPassedTypeEnum)[(_g = (_f = (_e = common_vendor.unref(INDEX_release_items_model.useModel)) == null ? void 0 : _e.showData) == null ? void 0 : _f.value) == null ? void 0 : _g.passed_type]) == null ? void 0 : _h.text),
        c: common_vendor.t((_k = (_j = (_i = common_vendor.unref(INDEX_release_items_model.useModel)) == null ? void 0 : _i.showData) == null ? void 0 : _j.value) == null ? void 0 : _k.passed_time),
        d: common_vendor.t((_n = (_m = (_l = common_vendor.unref(INDEX_release_items_model.useModel)) == null ? void 0 : _l.showData) == null ? void 0 : _m.value) == null ? void 0 : _n.apply_name),
        e: (_p = (_o = common_vendor.unref(INDEX_release_items_model.useModel)) == null ? void 0 : _o.isExpired) == null ? void 0 : _p.value
      }, ((_r = (_q = common_vendor.unref(INDEX_release_items_model.useModel)) == null ? void 0 : _q.isExpired) == null ? void 0 : _r.value) ? {} : {
        f: common_vendor.t((_v = common_vendor.unref(gen_Enums.GoodsReleasesStatusEnum)[(_u = (_t = (_s = common_vendor.unref(INDEX_release_items_model.useModel)) == null ? void 0 : _s.showData) == null ? void 0 : _t.value) == null ? void 0 : _u.status]) == null ? void 0 : _v.text),
        g: common_vendor.n(`value status_${(_y = (_x = (_w = common_vendor.unref(INDEX_release_items_model.useModel)) == null ? void 0 : _w.showData) == null ? void 0 : _x.value) == null ? void 0 : _y.status}`)
      }, {
        h: common_vendor.f((_B = (_A = (_z = common_vendor.unref(INDEX_release_items_model.useModel)) == null ? void 0 : _z.showData) == null ? void 0 : _A.value) == null ? void 0 : _B.goods, (i, index, i0) => {
          return {
            a: common_vendor.t(i == null ? void 0 : i.name),
            b: common_vendor.t(i == null ? void 0 : i.number),
            c: common_vendor.t(i == null ? void 0 : i.remark),
            d: `goods_${index}`
          };
        }),
        i: (_E = (_D = (_C = common_vendor.unref(INDEX_release_items_model.useModel)) == null ? void 0 : _C.showData) == null ? void 0 : _D.value) == null ? void 0 : _E.remark
      }, ((_H = (_G = (_F = common_vendor.unref(INDEX_release_items_model.useModel)) == null ? void 0 : _F.showData) == null ? void 0 : _G.value) == null ? void 0 : _H.remark) ? {
        j: common_vendor.t((_K = (_J = (_I = common_vendor.unref(INDEX_release_items_model.useModel)) == null ? void 0 : _I.showData) == null ? void 0 : _J.value) == null ? void 0 : _K.remark)
      } : {}, {
        k: ((_N = (_M = (_L = common_vendor.unref(INDEX_release_items_model.useModel)) == null ? void 0 : _L.showData) == null ? void 0 : _M.value) == null ? void 0 : _N.status) === "Approved" && !((_P = (_O = common_vendor.unref(INDEX_release_items_model.useModel)) == null ? void 0 : _O.isExpired) == null ? void 0 : _P.value)
      }, ((_S = (_R = (_Q = common_vendor.unref(INDEX_release_items_model.useModel)) == null ? void 0 : _Q.showData) == null ? void 0 : _R.value) == null ? void 0 : _S.status) === "Approved" && !((_U = (_T = common_vendor.unref(INDEX_release_items_model.useModel)) == null ? void 0 : _T.isExpired) == null ? void 0 : _U.value) ? {
        l: common_vendor.o((_V = common_vendor.unref(INDEX_release_items_method.method)) == null ? void 0 : _V.handleSubmit),
        m: common_vendor.p({
          btnParimaryName: "确认放行"
        })
      } : {});
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "/Users/zsq/Sources/github/2025property-pay/pay-employee/src/INDEX/release_items/index.vue"]]);
wx.createPage(MiniProgramPage);
